io.vertx.core.cli.converters

## Class FromStringBasedConverter<T>

- java.lang.Object
- - io.vertx.core.cli.converters.FromStringBasedConverter<T>

- All Implemented Interfaces:
    Converter<T>

      public final class FromStringBasedConverter<T>
      extends Object
      implements Converter<T>

  This 'default' converter tries to create objects using a static 'from' method taking a single String argument. This converter is particularly convenient for converters themselves.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FROM_STRING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `fromString(String input)` Converts the given input to an object by using the 'fromString' method.
    `static <T> FromStringBasedConverter<T>` | `getIfEligible(Class<T> clazz)` Checks whether the given class can be used by the `FromStringBasedConverter` (i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FROM_STRING

          public static final String FROM_STRING

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getIfEligible

          public static <T> FromStringBasedConverter<T> getIfEligible(Class<T> clazz)

      Checks whether the given class can be used by the `FromStringBasedConverter` (i.e. has a static 'fromString' method taking a single String as argument). If so, creates a new instance of converter for this type.
      Parameters:
        `clazz` - the class
      Returns:
        a `FromStringBasedConverter` if the given class is eligible, null otherwise.

    - #### fromString

          public T fromString(String input)
                       throws IllegalArgumentException

      Converts the given input to an object by using the 'fromString' method. Notice that the method may receive a null value.
      Specified by:
        `fromString` in interface `Converter<T>`
      Parameters:
        `input` - the input, can be null
      Returns:
        the instance of T
      Throws:
        `IllegalArgumentException` - if the instance of T cannot be created from the input.

Copyright © 2016. All rights reserved.